Skip navigation
Currently Being Moderated

Adobe Illustrator 15.0.2 compatible HTML5 pack - Update Instructions

Dec 2, 2010 5:37 AM

Follow the Install Instructions if you haven't installed AI HTML Pack in AI 15.0.1

 

Windows

 

  1. If you haven't already, update Adobe Illustrator CS5 to 15.0.2. To   update, in Adobe Illustrator choose Help > Updates.
  2. Exit Illustrator CS5, if it is running.
  3. Backup the following files: (restoration of these files are required for any future update)
    <Install Location>\Adobe Illustrator CS5\Plug-ins\Extensions\Art Style.aip
    <Install Location>\Adobe Illustrator CS5\Plug-ins\Extensions\CharParaStyles.aip
    <Install Location>\Adobe Illustrator CS5\Plug-ins\Extensions\Layers Panel.aip
    <Install Location>\Adobe Illustrator CS5\Plug-ins\Illustrator Formats\SVG File Format.aip
    <Install Location>\Adobe Illustrator CS5\Support Files\Contents\Windows\SVGExport.dll
  4. Download the Illustrator CS5 HTML5 Pack and extract the contents to  <Install Location>/Adobe Illustrator  CS5/ this would ask for  replacing the all of the above 5 files confirm  the replacement
  5. Launch Illustrator CS5

 

Macintosh

 

  1. If you haven't already, update Adobe Illustrator CS5 to 15.0.2. To   update, in Adobe Illustrator choose Help > Updates.
  2. Quit Illustrator CS5, if it is running
  3. Backup the following files: (restoration of these files are required for any future update)
    <Install Location>/Adobe Illustrator CS5/Plug-ins/Extensions/ArtStyle.aip
    <Install Location>/Adobe Illustrator CS5/Plug-ins/Extensions/CharParaStyles.aip
    <Install Location>/Adobe Illustrator CS5/Plug-ins/Extensions/Layers Panel.aip
    <Install Location>/Adobe Illustrator CS5/Plug-ins/Illustrator Formats/SVG File Format.aip
  4. Browse to the following location:
    <Install Location>/Adobe Illustrator CS5/Adobe Illustrator.app
    Ctrl+Click and choose Show Package Contents
  5. Browse to the location and backup the folder
    Contents/Frameworks/AdobeSVGExport.framework
  6. Download the Illustrator CS5 HTML5 Pack and double click to mount it
  7. Follow the instructions in dmg to copy/replace the Plug-ins/Frameworks to their respective folders
  8. Launch Illustrator CS5

 

Follow the Install Instructions if you have installed AI HTML Pack in AI 15.0.1

 

Windows

 

  1. Exit Illustrator CS5, if it is running.
  2. Revert Illustrator with HTML5 pack to Illustrator 15.0.1     
    1. Remove the following files:
      <Install Location>\Adobe Illustrator CS5\Plug-ins\Extensions\Art Style.aip
      <Install Location>\Adobe Illustrator CS5\Plug-ins\Extensions\CharParaStyles.aip
      <Install Location>\Adobe Illustrator CS5\Plug-ins\Extensions\Layers Panel.aip
      <Install Location>\Adobe Illustrator CS5\Plug-ins\Illustrator Formats\SVG File Format.aip
      <Install Location>\Adobe Illustrator CS5\Support Files\Contents\Windows\SVGExport.dll
    2. Restore all the removed files from Illustrator 15.0.1 backup that  you  took while installing HTML5 pack. If you do not have the backup you  can get the files from here
  3. Install Illustrator 15.0.2 update through Adobe Updater.
  4. Now take the backup of files mentioned in 2a above at a location not within the <Install Location> of Illustrator.
  5. Download the Illustrator CS5 HTML5 Pack and extract the contents to  <Install Location>/Adobe Illustrator  CS5/. You are prompted to replace the five files; confirm the  replacement.
  6. Launch Illustrator CS5.

 

Macintosh

 

  1. Quit Illustrator CS5, if it is running.
  2. Revert Illustrator with HTML5 pack to Illustrator 15.0.1     
    1. Remove the following files
      <Install Location>/Adobe Illustrator CS5/Plug-ins/Extensions/ArtStyle.aip
      <Install Location>/Adobe Illustrator CS5/Plug-ins/Extensions/CharParaStyles.aip
      <Install Location>/Adobe Illustrator CS5/Plug-ins/Extensions/Layers Panel.aip
      <Install Location>/Adobe Illustrator CS5/Plug-ins/Illustrator Formats/SVG File Format.aip
    2. Browse to the following location:
      <Install Location>/Adobe Illustrator CS5/Adobe Illustrator.app
      Ctrl+Click and choose Show Package Contents
    3. Browse to the location and remove the folder
      Contents/Frameworks/AdobeSVGExport.framework
    4. Restore all the files you removed from Illustrator 15.0.1 from the  backup that you took while installing HTML5 pack. If you do not have  the backup you can get the files from here
  3. Install Illustrator 15.0.2 update through Adobe Updater.
  4. Download the Illustrator CS5 HTML5 Pack and double click to mount it.
  5. Follow the instructions in dmg to copy/replace the Plug-ins/Frameworks to their respective folders.
  6. Launch Illustrator CS5.
 
Replies
  • Currently Being Moderated
    Dec 3, 2010 11:26 AM   in reply to ~Rama

    Make sure you actually have 15.0.1 installed first. Lauch Illustrator and choose 'About Illustrator.' I had 15.0.0 installed and it was trying to skip over 15.0.1. and go straight to 15.0.2.

     
    |
    Mark as:
  • Currently Being Moderated
    Dec 4, 2010 9:51 AM   in reply to ~Rama

    For those, like myself who had not updated to 15.0.1 before trying to update, you may experience the same issue that I did, that of an uninformative update failure.

     

    The solution is to do the following;

     

    1. Quit Illustrator CS5, if it is running.
    2. Revert Illustrator with HTML5 pack to Illustrator 15.0.    
      1. Remove the following files
        <Install Location>/Adobe Illustrator CS5/Plug-ins/Extensions/ArtStyle.aip
        <Install Location>/Adobe Illustrator CS5/Plug-ins/Extensions/CharParaStyles.aip
        <Install Location>/Adobe Illustrator CS5/Plug-ins/Extensions/Layers Panel.aip
        <Install Location>/Adobe Illustrator CS5/Plug-ins/Illustrator Formats/SVG File Format.aip
      2. Browse to the following location:
        <Install Location>/Adobe Illustrator CS5/Adobe Illustrator.app
        Ctrl+Click and choose Show Package Contents
      3. Browse to the location and remove the folder
        Contents/Frameworks/AdobeSVGExport.framework
      4. Restore all the files you removed from Illustrator 15.0.1 from the  backup that you took while installing HTML5 pack. If you do not have  the backup you can get the files from here
      5. Download and install the 15.0.1 update from here
    3. Install Illustrator 15.0.2 update through Adobe Updater.
    4. Download the Illustrator CS5 HTML5 Pack and double click to mount it.
    5. Follow the instructions in dmg to copy/replace the Plug-ins/Frameworks to their respective folders.
    6. Launch Illustrator CS5 and check the version number.  You may need to exit and relaunch if you receive a plugins were updated, please restart message.

     

    Cheers,

     

    Ross

     
    |
    Mark as:
  • Currently Being Moderated
    Dec 4, 2010 4:02 PM   in reply to drchevalier

    For those of us who have not updated to 15.0.1, the instructions have an error in line 2d.

     

    That line says: "Restore all the files you removed from Illustrator 15.0.1"

     

    Installing these files on a machine with Illustrator 15.0.0 and then attempting an upgrade to 15.0.1 yields the same installation error as one would get in trying to upgrade to 15.0.2.

     

    Are you sure the link you provided to the 15.0.1 backup files is meant to work with machines that only have 15.0.0?

     
    |
    Mark as:
  • Currently Being Moderated
    Dec 4, 2010 6:03 PM   in reply to ~Rama

    Also have 15.0.0 and sadly installed the HTML5 pack, and like others, cannot install 15.0.2 even after following these instructions. It would be nice if Illustrator updates worked as reliably as others.

     
    |
    Mark as:
  • Currently Being Moderated
    Dec 6, 2010 5:28 AM   in reply to ~Rama

    WARNING


    I followed these instructions, and Illustrator now crashes before loading.

    I have tried reinstalling from scratch and that is also tripping over.

    I now don't have Adobe Illustrator.

     
    |
    Mark as:
  • Currently Being Moderated
    Dec 6, 2010 6:44 AM   in reply to ~Rama

    yes, that has wroked,

    thanks

     
    |
    Mark as:
  • Currently Being Moderated
    Dec 6, 2010 6:49 AM   in reply to englishmaniac

    I did not encounter duplicates but did find that a missing framework file would cause a crash.  Check that the replacement of the exportSVG worked properly.

     

    R

     
    |
    Mark as:
  • Currently Being Moderated
    Dec 6, 2010 6:50 AM   in reply to drchevalier

    While this worked on machine 1, it failed on a second machine, so I reversed steps 2d and 2e and was successful.  Don't know why it worked on one and not another, but at least both machines work now.

     

    R

     
    |
    Mark as:
  • Currently Being Moderated
    Dec 6, 2010 7:30 AM   in reply to drchevalier

    I don't have duplicates, I've confirmed the SVGExport works fine, and then—as you suggest here—I also reversed 2d and 2e, attempting to load 15.0.1 after having removed all the 15.0.1 backups that had been loaded in 2d.

     

    15.0.1 update still refuses to work, and I suspect that the "About Illustrator" 15.0.0 is actually incorrect, since the majority of the content viewable when "show package contents" is enabled has dates from September, not from June (which is the date for the 15.0.1 backups).

     

    Adobe Support Adviser is, as before, worthless in that it continues to say there is no error.

     
    |
    Mark as:
  • Currently Being Moderated
    Dec 21, 2010 2:36 AM   in reply to ~Rama

    I followed this procedure on my MAC 10.6.5, and it failed. The easiest way to get rid of this problem (at least for me), is to re-install Illustrator and Photoshop, update through help/updates.

     
    |
    Mark as:
  • Currently Being Moderated
    Jan 20, 2011 2:42 PM   in reply to ~Rama

    We have reposted the 15.0.2. patch. This updated version of the patch addresses the problem that users with the HTML5 pack installed were having with the installation. If you were not able to install the patch before, or if you were avoiding installing it because you have the HTML5 patch installed, please install now in order to get the full benefits of all the issues addressed in 15.0.2. The updated patch will also update the HTML5 installation for you, so you won’t have to go through the process of removing it manually yourself or reinstalling the HTML5 pack after updating as was the case before. If you do not have the HTML5 pack installed, the patch will still update your version of Illustrator, but will not add the HTML5 pack. You can run the update by launching the Adobe Application Manager from Illustrator from the Help menu, Help > Updates. Illustrator and the 15.0.2 patch will only appear if you do not already have this update installed.

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 12, 2011 3:23 AM   in reply to drchevalier

    From 15.0.0 I get the same error message when trying to upgrade to 15.0.1 when using Adobe Updater.

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 14, 2011 5:12 PM   in reply to drearsen

    drearsen, did you try install the 15.0.2 update? You don't need to install the 15.01 first as 15.0.2 contains everything from 15.0.1.

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 15, 2011 4:50 AM   in reply to Brenda.Sutherland

    Neither one of those updates install.

     

     

     

     

    From: Brenda.Sutherland <forums@adobe.com>

    To: Arsen Pakhlevanyan <dre.archer@yahoo.co.uk>

    Sent: Tuesday, 15 March 2011, 0:12

    Subject: Re: Adobe Illustrator 15.0.2 compatible HTML5 pack - Update Instructions Adobe Illustrator 15.0.2 compatible HTML5 pack - Update Instructions

     

    drearsen, did you try install the 15.0.2 update? You don't need to install the 15.01 first as 15.0.2 contains everything from 15.0.1.

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 17, 2011 12:27 AM   in reply to drearsen

    Hi drearsen,

     

    Can you give more details on the issue you are facing? Which OS are you on? machine details will also be handy. Can you do me a favour and do the following:

    1) Create a file with no extension named rigb3debug (make sure no extension is there by seeing its properties on win and more info on mac) in %temp% folder on win and /tmp folder on mac(its a hidden folder, so, use the go to folder option in finder go menu).

    2) Delete all *.log.gz files only from /Library/Logs/Adobe/Installers on mac and \Program Files\Common Files\Adobe\Installers on win. Make sure you dont touch the folders if any.

    3) Run the updates again.

    4) Run updates again. Updates will still fail but the log files generated will be detailed. Can you post the fresh log files generated at /Library/Logs/Adobe/Installers on mac and \Program Files\Common Files\Adobe\Installers on win here.

     

    Thanks,

    Anirudh

     
    |
    Mark as:
  • Currently Being Moderated
    Jul 20, 2011 1:38 PM   in reply to bhatnaga

    I ended up with the same problems here, myself. Just realized today that 15.0.2 was available (from 15.0.0), and have been trying to install the patch. OSX 10.7.

     

    After reading through these threads and reviewing the installer log, and noticing lines such as this:

     

    AIPFIX: Checking File
    /Applications/Adobe Illustrator CS5/Plug-ins.localized/Extensions.localized/ArtStyle.aip/Contents/Mac OS/ArtStyle
    AIPFIX: File Exists
    AIPFIX: Begin MD5 Calculation
    AIPFIX: Running command
    a62d3debec97b2aa02028fd49db9e187

     

    AIPFIX: End MD5 Calculation
    AIPFIX: File did not match

     

    ...I removed the five files which appear to be so troublesome for everyone, as there appear to be checksum errors. After having done so, the update stll fails - this time with the log reporting that the files in question do not exist.

     

    I do not recall installing the HTML5 pack.

     

    From what I understand, the new 15.0.2 patch was supposed to bypass these errors. That obviously is not the case.

     

    I have no interest in uninstalling and reinstalling any component of my CS5 suite. I would like viable, usable suggestions on how to proceed that do not include uninstalling and reinstalling.

     
    |
    Mark as:

More Like This

  • Retrieving data ...

Bookmarked By (0)